QT += quickcontrols2 quick

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

include($$PWD/CanDriver/CanDriver.pri)

HEADERS += \
    BatteryController.h \
    CanController.h \
    CanStructs.h \
    Logger.h

SOURCES += \
    BatteryController.cpp \
    CanController.cpp \
    CanStructs.cpp \
    Logger.cpp \
    main.cpp

RESOURCES += \
    Fonts/fonts.qrc \
    Qml/qml.qrc

# TRANSLATIONS += StandBatteryView_ru_RU.ts
# CONFIG += lrelease
# CONFIG += embed_translations

# Additional import path used to resolve QML modules in Qt Creator's code model
QML_IMPORT_PATH = $$PWD/Qml $$PWD/Qml/Controls $$PWD/Qml/Palette

# Additional import path used to resolve QML modules just for Qt Quick Designer
QML_DESIGNER_IMPORT_PATH =

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target
